Cyberduck Mountain Duck CLI

#5920 closed enhancement (wontfix)

Audit log

Reported by: sprosty Owned by:
Priority: low Milestone:
Component: core Version: 4.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by sprosty)

It would be GREAT if cyberduck had a window like Transfers (or just a simple log window like the Logging Window) that contains a list of...

  • ALL transactions that CHANGED your file system on remote server (i.e. upload, move, delete, rename, copy, create file, create archive, etc.)
  • WITHOUT all the debug logging bloat (i.e. cryptic messages, directory listings, etc.).

I find it hard to believe that software this good has been without an easily accessible and meaningful transaction log for so long. I've looked everywhere and googled for it, but can't seem to find it - so the only conclusion I can make at this time is that it does not exist.

The logging that is available in cyberduck I find too verbose or useless:

  • Activity (useless)
  • Logging Window (extremely verbose - basicaly a debug log)
  • defaults write ch.sudo.cyberduck logging INFO - via console log - (extremely verbose - basicaly a debug log)

Technically the particular events that I mention below I've found in the console log output, but it takes an exorbitant amount of energy to sift through and find what you are looking for.

The "Transfers" window is excellent for transfers. But if a particular event isn't considered a file transfer there is no log of it in this window. This includes CRITICAL events that could cause CATASTROPHIC failure such as:

  • moving a file or directory
  • deleting file or directory

I don't care if if a directory has been opened for listing or whatever... that's what the current log provides and it's way to noisy. It's really a debugging log... not a useful log for your end users.

I have moved files and directories by accident so many times with cyberduck it scares me. And there is NO log - unless I turn on console logging and then it's very hard to read.

How hard can it be to simply have a log of things like...

  • mv file1 /var/www/directory2
  • rm file2
  • mv file1 file2

Or if you don't want to use UNIX CLI terms, something like this would suffice:

  • move file1 to /var/www/diretory2
  • delete file2
  • rename file1 to file2

If you accidentally click and then let go of a file or directory (which is easy when you are managing multiple windows on your screen) you are left wondering what the hell just happened in cyberduck and your remote server - and where unknown file or directory may have ended up!!

IMHO this is a huge security vulnerability and I can not recommend this software anymore until this is fixed.

ps. thank you for the wonderful software!! My criticisms here are meant only to improve the software and experience for end users. thank you for your consideration.

Change History (5)

comment:1 Changed on Apr 22, 2011 at 1:39:05 AM by sprosty

  • Description modified (diff)

comment:2 Changed on Apr 22, 2011 at 7:21:31 AM by yla

  • Priority changed from high to normal
  • Severity changed from major to normal

comment:3 Changed on May 30, 2011 at 9:10:57 AM by dkocher

  • Summary changed from Need useful History/Logging for transactions to provide accessible audit log to Audit log

comment:4 Changed on Nov 6, 2011 at 11:04:57 AM by dkocher

  • Priority changed from normal to low

comment:5 Changed on May 9, 2012 at 9:53:07 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software